from .environment import Environment


class Configuration(object):
    def __init__(self, environment: Environment, username: str, password: str, timeout: int = 30):
        self._environment = environment
        self._username = username
        self._password = password
        self._timeout = timeout

    @property
    def environment(self) -> Environment:
        return self._environment

    @property
    def timeout(self) -> int:
        return self._timeout

    @property
    def username(self) -> str:
        return self._username

    @property
    def password(self) -> str:
        return self._password
